## r-bioc-oligoclasses 1.52.0

=== DESCRIPTION ===
Package: oligoClasses
Version: 1.52.0
Title: Classes for high-throughput arrays supported by oligo and crlmm
Author: Benilton Carvalho and Robert Scharpf
Maintainer: Benilton Carvalho <beniltoncarvalho@gmail.com> and Robert Scharpf <rscharpf@jhsph.edu>
Depends: R (>= 2.14)
Imports: BiocGenerics (>= 0.27.1), Biobase (>= 2.17.8), methods,
        graphics, IRanges (>= 2.5.17), GenomicRanges (>= 1.23.7),
        SummarizedExperiment, Biostrings (>= 2.23.6), affyio (>=
        1.23.2), foreach, BiocManager, utils, S4Vectors (>= 0.9.25),
        RSQLite, DBI, ff
Enhances: doMC, doMPI, doSNOW, doParallel, doRedis
Suggests: hapmapsnp5, hapmapsnp6, pd.genomewidesnp.6,
        pd.genomewidesnp.5, pd.mapping50k.hind240,
        pd.mapping50k.xba240, pd.mapping250k.sty, pd.mapping250k.nsp,
        genomewidesnp6Crlmm (>= 1.0.7), genomewidesnp5Crlmm (>= 1.0.6),
        RUnit, human370v1cCrlmm, VanillaICE, crlmm
Description: This package contains class definitions, validity checks, and initialization methods for classes used by the oligo and crlmm packages.
License: GPL (>= 2)
LazyLoad: yes
Collate: AllClasses.R AllGenerics.R utils-general.R utils-lds.R
        utils-parallel.R methods-gSet.R initialize-methods.R
        methods-AlleleSet.R methods-AnnotatedDataFrame.R
        methods-FeatureSet.R methods-AssayData.R
        methods-SnpFeatureSet.R methods-oligoSnpSet.R
        methods-CopyNumberSet.R methods-CNSet.R methods-PDInfo.R
        methods-RangedDataCNV.R methods-SnpSet.R
        methods-GenomeAnnotatedDataFrame.R methods-BeadStudioSet.R
        methods-BeadStudioSetList.R methods-gSetList.R
        methods-GRanges.R methods-SummarizedExperiment.R show-methods.R
        functions.R zzz.R
biocViews: Infrastructure
## Local Variables:
## time-stamp-pattern: "8/Date: %3a %3b %2d %02H:%02M:%02S %Z %:y\n"
## End:
RoxygenNote: 6.1.1
git_url: https://git.bioconductor.org/packages/oligoClasses
git_branch: RELEASE_3_12
git_last_commit: 7995efb
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: no
Packaged: 2020-10-28 02:01:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-oligoclasses (1.52.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Add manual autopkgtest since autopkgtest-pkg-r fails to install RUnit
  * Remove test requiring not yet packaged genomewidesnp6Crlmm

 -- Andreas Tille <tille@debian.org>  Mon, 15 Mar 2021 09:48:30 +0100

r-bioc-oligoclasses (1.52.0-1) unstable; urgency=medium

  * Initial release (closes: #975258)

 -- Steffen Moeller <moeller@debian.org>  Thu, 18 Feb 2021 19:15:04 +0100

=== debian/control ===
Source: r-bioc-oligoclasses
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.27.1),
               r-bioc-biobase (>= 2.17.8),
               r-bioc-iranges (>= 2.5.17),
               r-bioc-genomicranges (>= 1.23.7),
               r-bioc-summarizedexperiment,
               r-bioc-biostrings (>= 2.23.6),
               r-bioc-affyio (>= 1.23.2),
               r-cran-foreach,
               r-cran-biocmanager,
               r-bioc-s4vectors (>= 0.9.25),
               r-cran-rsqlite,
               r-cran-dbi,
               r-cran-ff
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses.git
Homepage: https://bioconductor.org/packages/oligoClasses/
Rules-Requires-Root: no

Package: r-bioc-oligoclasses
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Classes for high-throughput arrays supported by oligo and crlmm
 This package contains class definitions, validity checks, and
 initialization methods for classes used by the oligo and crlmm packages.

## r-bioc-oligoclasses 1.56.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oligoClasses
-Version: 1.52.0
+Version: 1.56.0
 Title: Classes for high-throughput arrays supported by oligo and crlmm
 Author: Benilton Carvalho and Robert Scharpf
 Maintainer: Benilton Carvalho <beniltoncarvalho@gmail.com> and Robert Scharpf <rscharpf@jhsph.edu>
@@ -35,9 +35,9 @@
 ## End:
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/oligoClasses
-git_branch: RELEASE_3_12
-git_last_commit: 7995efb
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 6e6c7b4
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-28 02:01:38 UTC; biocbuild
+Packaged: 2021-10-26 22:05:29 UTC; biocbuild

=== debian/changelog ===
r-bioc-oligoclasses (1.56.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.56.0

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 16:47:59 +0530

r-bioc-oligoclasses (1.54.0-5) unstable; urgency=medium

  * Team upload
  * Exclude further tests
  * Do not try to write test results to /usr

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 08:17:28 +0200

r-bioc-oligoclasses (1.54.0-4) unstable; urgency=medium

  * Team upload.
  * Exclude test requiring package pd.mapping50k.hind240 and
    pd.mapping50k.xba240

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 06:54:44 +0200

r-bioc-oligoclasses (1.54.0-3) unstable; urgency=medium

  * Team upload.
  * Autopkgtest: extra_restrictions=needs-internet
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Tue, 07 Sep 2021 08:47:03 +0200

r-bioc-oligoclasses (1.54.0-2) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure runit will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 20:07:06 +0200

r-bioc-oligoclasses (1.54.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-bioc-biocgenerics,
      r-bioc-genomicranges and r-bioc-iranges.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 18:16:03 +0200

=== debian/control ===
Source: r-bioc-oligoclasses
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-biobase,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-biostrings,
               r-bioc-affyio,
               r-cran-foreach,
               r-cran-biocmanager,
               r-bioc-s4vectors,
               r-cran-rsqlite,
               r-cran-dbi,
               r-cran-ff
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses.git
Homepage: https://bioconductor.org/packages/oligoClasses/
Rules-Requires-Root: no

Package: r-bioc-oligoclasses
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Classes for high-throughput arrays supported by oligo and crlmm
 This package contains class definitions, validity checks, and
 initialization methods for classes used by the oligo and crlmm packages.

## r-bioc-oligoclasses 1.58.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oligoClasses
-Version: 1.56.0
+Version: 1.58.0
 Title: Classes for high-throughput arrays supported by oligo and crlmm
 Author: Benilton Carvalho and Robert Scharpf
 Maintainer: Benilton Carvalho <beniltoncarvalho@gmail.com> and Robert Scharpf <rscharpf@jhsph.edu>
@@ -35,9 +35,9 @@
 ## End:
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/oligoClasses
-git_branch: RELEASE_3_14
-git_last_commit: 6e6c7b4
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 5544e93
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 22:05:29 UTC; biocbuild
+Packaged: 2022-04-26 21:20:59 UTC; biocbuild

=== debian/changelog ===
r-bioc-oligoclasses (1.58.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 21:39:25 +0200

## r-bioc-oligoclasses 1.60.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oligoClasses
-Version: 1.58.0
+Version: 1.60.0
 Title: Classes for high-throughput arrays supported by oligo and crlmm
 Author: Benilton Carvalho and Robert Scharpf
 Maintainer: Benilton Carvalho <beniltoncarvalho@gmail.com> and Robert Scharpf <rscharpf@jhsph.edu>
@@ -35,9 +35,9 @@
 ## End:
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/oligoClasses
-git_branch: RELEASE_3_15
-git_last_commit: 5544e93
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: cf9d76c
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 21:20:59 UTC; biocbuild
+Packaged: 2022-11-01 22:14:34 UTC; biocbuild

=== debian/changelog ===
r-bioc-oligoclasses (1.60.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 13:53:12 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                r-cran-rsqlite,
                r-cran-dbi,
                r-cran-ff
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses.git
 Homepage: https://bioconductor.org/packages/oligoClasses/

## r-bioc-oligoclasses 1.62.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oligoClasses
-Version: 1.60.0
+Version: 1.62.0
 Title: Classes for high-throughput arrays supported by oligo and crlmm
 Author: Benilton Carvalho and Robert Scharpf
 Maintainer: Benilton Carvalho <beniltoncarvalho@gmail.com> and Robert Scharpf <rscharpf@jhsph.edu>
@@ -35,9 +35,9 @@
 ## End:
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/oligoClasses
-git_branch: RELEASE_3_16
-git_last_commit: cf9d76c
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 2de6126
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 22:14:34 UTC; biocbuild
+Packaged: 2023-04-25 21:58:19 UTC; biocbuild

=== debian/changelog ===
r-bioc-oligoclasses (1.62.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 21:57:07 +0200

## r-bioc-oligoclasses 1.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oligoClasses
-Version: 1.62.0
+Version: 1.64.0
 Title: Classes for high-throughput arrays supported by oligo and crlmm
 Author: Benilton Carvalho and Robert Scharpf
 Maintainer: Benilton Carvalho <beniltoncarvalho@gmail.com> and Robert Scharpf <rscharpf@jhsph.edu>
@@ -35,9 +35,9 @@
 ## End:
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/oligoClasses
-git_branch: RELEASE_3_17
-git_last_commit: 2de6126
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 0b4dcaa
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 21:58:19 UTC; biocbuild
+Packaged: 2023-10-24 22:11:11 UTC; biocbuild

=== inst/unitTests/Makefile ===
TOP=../..
PKG=${shell cd ${TOP};pwd}
SUITE=doRUnit.R
#R=${R_HOME}/bin/R

all: inst test

inst: # Install package

	cd ${TOP}/..;\
	R CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	export RUNITFILEPATTERN="$(file)";\
	cd ${TOP}/tests;\
	R --vanilla --slave < ${SUITE}

release:
	R_LIBS_USER=~/Library/R/2.15-bioc-release/library R-2.15 CMD INSTALL --no-lock ${PKG}
	export RCMDCHECK=FALSE;\
	export RUNITFILEPATTERN="$(file)";\
	cd ${TOP}/tests;\
	R_LIBS_USER=~/Library/R/2.15-bioc-release/library R-2.15 --vanilla --slave < ${SUITE}

devel:
	R_LIBS_USER=~/Library/R/2.15-bioc-devel/library R-2.15 CMD INSTALL --no-lock ${PKG}
	export RCMDCHECK=FALSE;\
	export RUNITFILEPATTERN="$(file)";\
	cd ${TOP}/tests;\
	R_LIBS_USER=~/Library/R/2.15-bioc-devel/library R-2.15 --vanilla --slave < ${SUITE}

=== debian/changelog ===
r-bioc-oligoclasses (1.64.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 14:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                r-cran-rsqlite,
                r-cran-dbi,
                r-cran-ff
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses.git
 Homepage: https://bioconductor.org/packages/oligoClasses/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

# Remove test requiring not yet packaged genomewidesnp6Crlmm
override_dh_install:
	dh_install
	find debian -name test_classes.R -exec sed -i '/require("genomewidesnp6Crlmm")/,/checkTrue(all(chromosome(obj) == 1))/d' \{\} \;
	find debian -name test_annotation.R -delete

## r-bioc-oligoclasses 1.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oligoClasses
-Version: 1.64.0
+Version: 1.66.0
 Title: Classes for high-throughput arrays supported by oligo and crlmm
 Author: Benilton Carvalho and Robert Scharpf
 Maintainer: Benilton Carvalho <beniltoncarvalho@gmail.com> and Robert Scharpf <rscharpf@jhsph.edu>
@@ -35,9 +35,10 @@
 ## End:
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/oligoClasses
-git_branch: RELEASE_3_18
-git_last_commit: 0b4dcaa
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 9f85621
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 22:11:11 UTC; biocbuild
+Packaged: 2024-05-01 05:01:01 UTC; biocbuild

=== debian/changelog ===
r-bioc-oligoclasses (1.66.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:29:49 +0200

r-bioc-oligoclasses (1.66.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/control: bump minimum versions of r-bioc-* packages to bioc-3.19+
    versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 18:34:50 +0200

r-bioc-oligoclasses (1.66.0-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/control: refresh with dh-update-R
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 12 Jul 2024 10:57:44 +0200

=== debian/control ===
Source: r-bioc-oligoclasses
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses.git
Homepage: https://bioconductor.org/packages/oligoClasses/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics (>= 0.50.0),
               r-bioc-biobase (>= 2.64.0),
               r-bioc-iranges (>= 2.38.1),
               r-bioc-genomicranges (>= 1.56.1),
               r-bioc-summarizedexperiment (>= 1.34.0),
               r-bioc-biostrings (>= 2.72.1),
               r-bioc-affyio (>= 1.74.0),
               r-cran-foreach,
               r-cran-biocmanager,
               r-bioc-s4vectors (>= 0.42.1),
               r-cran-rsqlite,
               r-cran-dbi,
               r-cran-ff
Testsuite: autopkgtest-pkg-r

Package: r-bioc-oligoclasses
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-bioc-biocgenerics (>= 0.50.0),
         r-bioc-biobase (>= 2.64.0),
         r-bioc-iranges (>= 2.38.1),
         r-bioc-genomicranges (>= 1.56.1),
         r-bioc-summarizedexperiment (>= 1.34.0),
         r-bioc-biostrings (>= 2.72.1),
         r-bioc-affyio (>= 1.74.0),
         r-bioc-s4vectors (>= 0.42.1)
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Classes for high-throughput arrays supported by oligo and crlmm
 This package contains class definitions, validity checks, and
 initialization methods for classes used by the oligo and crlmm packages.

## r-bioc-oligoclasses 1.68.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: oligoClasses
-Version: 1.66.0
+Version: 1.68.0
 Title: Classes for high-throughput arrays supported by oligo and crlmm
 Author: Benilton Carvalho and Robert Scharpf
 Maintainer: Benilton Carvalho <beniltoncarvalho@gmail.com> and Robert Scharpf <rscharpf@jhsph.edu>
@@ -35,10 +35,10 @@
 ## End:
 RoxygenNote: 6.1.1
 git_url: https://git.bioconductor.org/packages/oligoClasses
-git_branch: RELEASE_3_19
-git_last_commit: 9f85621
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 13ba25a
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 05:01:01 UTC; biocbuild
+Packaged: 2024-10-30 01:56:42 UTC; biocbuild

=== debian/changelog ===
r-bioc-oligoclasses (1.68.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 09:08:09 +0100

r-bioc-oligoclasses (1.68.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Update dependencies

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 18:31:34 +0100

=== debian/control ===
Source: r-bioc-oligoclasses
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocgenerics,
               r-bioc-biobase,
               r-bioc-iranges,
               r-bioc-genomicranges,
               r-bioc-summarizedexperiment,
               r-bioc-biostrings,
               r-bioc-affyio,
               r-cran-foreach,
               r-cran-biocmanager,
               r-bioc-s4vectors,
               r-cran-rsqlite,
               r-cran-dbi,
               r-cran-ff
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-oligoclasses.git
Homepage: https://bioconductor.org/packages/oligoClasses/
Rules-Requires-Root: no

Package: r-bioc-oligoclasses
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Classes for high-throughput arrays supported by oligo and crlmm
 This package contains class definitions, validity checks, and
 initialization methods for classes used by the oligo and crlmm packages.

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/oligoClasses.html .*/oligoClasses_(.*).tar.gz
